Subject: Re: bug#55040: 29.0.50; Auto-indent-mode and Changelog Messages

From: Philip Kaludercic <[email-masked]>
Date: Wed, 20 Apr 2022 17:08:20 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Philip Kaludercic <[email-masked]>
>> Date: Wed, 20 Apr 2022 14:30:17 +0000
>> 
>> 
>> When writing change logs in log-edit-mode, I have auto-fill-mode enabled
>> because 1. I find it convenient and 2. it derives from text mode.  It
>> has been pointed out to me that this leads to indentation issues, where
>> a change log entry is interpreted to be an unordered list.  So instead
>> of
>> 
>> --8<---------------cut here---------------start------------->8---
>> * lisp/vc/diff-mode.el (diff-add-log-current-defuns): Check
>> vc-root-dir to prepend the project path to the file being modified.
>> --8<---------------cut here---------------end--------------->8---
>> 
>> the messages is automatically formatted like
>> 
>> --8<---------------cut here---------------start------------->8---
>> * lisp/vc/diff-mode.el (diff-add-log-current-defuns): Check
>>   vc-root-dir to prepend the project path to the file being modified.
>> --8<---------------cut here---------------end--------------->8---
>> 
>> as soon as the line exceeds the fill column.
>
> I always use auto-fill-mode in ChangeLog buffers, and it never does
> anything like what you described for me.  Can you show a recipe
> starting from "emacs -Q" that shows this problem?

1. Start emacs -Q
2. Open any versioned file
3. Make any modification
4. Prepare a commit using C-x v v
5. Go to the commit body and insert ChangeLog template
6. Ensure that auto-fill-mode is enabled in the buffer
7. Type anything until the fill-column is reached

I did 7. by just repeating the word "word", and after a short while it
auto-filled the line and the text appeared formatted as described above.

-- 
	Philip Kaludercic